## ClutterPropertyTransition ClutterPropertyTransition — Property transitions |

## Functions

ClutterTransition * | clutter_property_transition_new ()
void | clutter_property_transition_set_property_name ()
const char * | clutter_property_transition_get_property_name ()

## Properties

gchar * | property-name | Read / Write

## Types and Values

| ClutterPropertyTransition
struct | ClutterPropertyTransitionClass

## Object Hierarchy

        GObject
        ╰── ClutterTimeline
            ╰── ClutterTransition
                ╰── ClutterPropertyTransition
                    ╰── ClutterKeyframeTransition

## Implemented Interfaces

ClutterPropertyTransition implements ClutterScriptable.

## Description

ClutterPropertyTransition is a specialized ClutterTransition that can be used to tween a property of a ClutterAnimatable instance.

ClutterPropertyTransition is available since Clutter 1.10

## Functions

### clutter_property_transition_new ()

    ClutterTransition *
    clutter_property_transition_new (const char *property_name);

Creates a new ClutterPropertyTransition.

#### Parameters

property_name | a property of `animatable` , or `NULL`. | [allow-none]

#### Returns

the newly created ClutterPropertyTransition. Use `g_object_unref()` when done.

[transfer full]

Since 1.10

### clutter_property_transition_set_property_name ()

    void
    clutter_property_transition_set_property_name
                                   (ClutterPropertyTransition *transition,
                                    const char *property_name);

Sets the “property-name” property of `transition` .

#### Parameters

transition | a ClutterPropertyTransition |
property_name | a property name. | [allow-none]

Since 1.10

### clutter_property_transition_get_property_name ()

    const char *
    clutter_property_transition_get_property_name
                                   (ClutterPropertyTransition *transition);

Retrieves the value of the “property-name” property.

#### Parameters

transition | a ClutterPropertyTransition |

#### Returns

the name of the property being animated, or `NULL` if none is set. The returned string is owned by the `transition` and it should not be freed.

Since 1.10

## Types and Values

### ClutterPropertyTransition

    typedef struct _ClutterPropertyTransition ClutterPropertyTransition;

The ClutterPropertyTransition structure contains private data and should only be accessed using the provided API.

Since 1.10

### struct ClutterPropertyTransitionClass

    struct ClutterPropertyTransitionClass {
    };

The ClutterPropertyTransitionClass structure contains private data.

Since 1.10

## Property Details

### The `“property-name”` property

      “property-name”            gchar *

The name of the property of a ClutterAnimatable to animate.

Flags: Read / Write

Default value: NULL

Since 1.10